Bug 965616 - [abrt] bodhi-client-0.9.4-1.fc19: ini.py:641:_readfp:ParsingError: File contains parsing errors: bodhi.template
[abrt] bodhi-client-0.9.4-1.fc19: ini.py:641:_readfp:ParsingError: File conta...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:7e7e49e1581f2c037378be982ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 08:16 EDT by Vít Ondruch
Modified: 2016-09-19 22:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:17:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.83 KB, text/plain)
2013-05-21 08:16 EDT, Vít Ondruch
no flags Details
File: core_backtrace (470 bytes, text/plain)
2013-05-21 08:16 EDT, Vít Ondruch
no flags Details
File: dso_list (70 bytes, text/plain)
2013-05-21 08:16 EDT, Vít Ondruch
no flags Details
File: environ (2.96 KB, text/plain)
2013-05-21 08:16 EDT, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2013-05-21 08:16:41 EDT
Description of problem:
Probably wrong formatting of notest. However, there is not obvious how to format notes, for example how to enter new line at least. I was trying to enter '*' in attempt to get bullet list.

Version-Release number of selected component:
bodhi-client-0.9.4-1.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -tt /usr/bin/bodhi --new --release f19 --file bodhi.template ruby-2.0.0.195-8.fc19 --username vondruch
executable:     /usr/bin/bodhi
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            16025

Truncated backtrace:
ini.py:641:_readfp:ParsingError: File contains parsing errors: bodhi.template
	[line 14]: * Fix object taint bypassing in DL and Fiddle (CVE-2013-2065).

	[line 15]: * Fix build against OpenSSL with enabled ECC curves.

	[line 16]: * Add aarch64 support (rhbz#926463).


Traceback (most recent call last):
  File "/usr/bin/bodhi", line 523, in <module>
    main()
  File "/usr/bin/bodhi", line 204, in main
    updates = bodhi.parse_file(input_file=opts.input_file)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 281, in parse_file
    config.readfp(template_file)
  File "/usr/lib/python2.7/site-packages/iniparse/compat.py", line 111, in readfp
    self.data._readfp(fp)
  File "/usr/lib/python2.7/site-packages/iniparse/ini.py", line 641, in _readfp
    raise exc
ParsingError: File contains parsing errors: bodhi.template
	[line 14]: * Fix object taint bypassing in DL and Fiddle (CVE-2013-2065).

	[line 15]: * Fix build against OpenSSL with enabled ECC curves.

	[line 16]: * Add aarch64 support (rhbz#926463).


Local variables in innermost frame:
pending_lines: [<iniparse.ini.EmptyLine object at 0x22338d0>]
fp: <open file 'bodhi.template', mode 'r' at 0x21bc8a0>
cur_option: <iniparse.ini.LineContainer object at 0x2233890>
exc: File contains parsing errors: bodhi.template
	[line 14]: * Fix object taint bypassing in DL and Fiddle (CVE-2013-2065).

	[line 15]: * Fix build against OpenSSL with enabled ECC curves.

	[line 16]: * Add aarch64 support (rhbz#926463).

pending_empty_lines: True
self: <iniparse.ini.INIConfig object at 0x222e810>
cur_section_name: ' ruby-2.0.0.195-8.fc19 '
cur_section: <iniparse.ini.LineContainer object at 0x222edd0>
linecount: 29
cur_option_name: 'suggest_reboot'
fname: 'bodhi.template'
lineobj: <iniparse.ini.EmptyLine object at 0x22338d0>
optobj: <iniparse.ini.INISection object at 0x222ee10>
line: ''

Potential duplicate: bug 713745
Comment 1 Vít Ondruch 2013-05-21 08:16:46 EDT
Created attachment 751090 [details]
File: backtrace
Comment 2 Vít Ondruch 2013-05-21 08:16:50 EDT
Created attachment 751091 [details]
File: core_backtrace
Comment 3 Vít Ondruch 2013-05-21 08:16:53 EDT
Created attachment 751092 [details]
File: dso_list
Comment 4 Vít Ondruch 2013-05-21 08:16:57 EDT
Created attachment 751093 [details]
File: environ
Comment 5 Germán Racca 2013-11-18 02:55:41 EST
I have the same problem.

Nobody looked at this?
Comment 6 Fedora End Of Life 2015-01-09 13:10:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:17:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.